require "scripts/style"

kButtonSpacing = 45;
kButtonY = 490;
kButtonX = 0;
kScreenY = 768;
kScreenX = 1024;


gold = 0;
	
function CheckUsers()
	if (GetNumUsers() == 0) then
		gEnterNameValue = "";
		name = DoModal("scripts/entername.lua");
		if (not(name == nil)) then
			CreateNewUser(name);
			resetRoomData();
			initRoomData();
			resetMoney();
			resetHintNumber();
			ResetGameState();
			SetGameState("innview");
			setIsANewChar(1);
			saveRoom();
			return true ;
		end
		return false ;
	else
		return true;
	end
end

function QuitGame()
	CloseWindow();
end


function UseNormal()
	normal = "ui/ingame/innview/createidle";
	hovered = "ui/ingame/innview/createhold";
	pressed = "ui/ingame/innview/createhover";
end


MakeDialog
{
	Bitmap
	{
		name="backgroundimage",		
		x = 0,
		y = 0,
		w = 1024,
		h = 768,
		
		MainMenu
		{

			x = 0,
			y = 0,
			w = 1024,
			h = 768,
			-- Name the modal dialog
			name="mainmenu",	
			fit=true;
		},
	},
}

SetCurrentGameMode(0);
